Operations - List

Выводит список всех доступных операций REST API поставщика Microsoft.Search.

GET https://management.azure.com/providers/Microsoft.Search/operations?api-version=2023-11-01

Параметры URI

Имя В Обязательно Тип Описание
api-version
query True

string

Версия API, используемая для каждого запроса.

Ответы

Имя Тип Описание
200 OK

OperationListResult

Успех. Ответ описывает список операций.

Other Status Codes

CloudError

Сбой API операций.

Безопасность

azure_auth

Поток авторизации OAuth2 идентификатора Microsoft Entra ID.

Тип: oauth2
Flow: implicit
URL-адрес авторизации: https://login.microsoftonline.com/common/oauth2/authorize

Области

Имя Описание
user_impersonation олицетворения учетной записи пользователя

Примеры

OperationsList

Образец запроса

GET https://management.azure.com/providers/Microsoft.Search/operations?api-version=2023-11-01

Пример ответа

{
  "value": [
    {
      "name": "Microsoft.Search/operations/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "List all available operations",
        "description": "Lists all of the available operations of the Microsoft.Search provider."
      }
    },
    {
      "name": "Microsoft.Search/register/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Register the Search Resource Provider",
        "description": "Registers the subscription for the search resource provider and enables the creation of search services."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/write",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Set Search Service",
        "description": "Creates or updates the search service."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Get Search Service",
        "description": "Reads the search service."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/delete",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Delete Search Service",
        "description": "Deletes the search service."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/start/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Start Search Service",
        "description": "Starts the search service."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/stop/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Stop Search Service",
        "description": "Stops the search service."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/listAdminKeys/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Get Admin Key",
        "description": "Reads the admin keys."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/regenerateAdminKey/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Regenerate Admin Key",
        "description": "Regenerates the admin key."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/listQueryKeys/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "API Keys",
        "operation": "Get Query Keys",
        "description": "Returns the list of query API keys for the given Azure Search service."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/createQueryKey/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Create Query Key",
        "description": "Creates the query key."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/deleteQueryKey/delete",
      "display": {
        "provider": "Microsoft Search",
        "resource": "API Keys",
        "operation": "Delete Query Key",
        "description": "Deletes the query key."
      }
    },
    {
      "name": "Microsoft.Search/checkNameAvailability/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Service Name Availability",
        "operation": "Check Service Name Availability",
        "description": "Checks availability of the service name."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/diagnosticSettings/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Diagnostic Settings",
        "operation": "Get Diagnostic Setting",
        "description": "Gets the diganostic setting read for the resource"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/diagnosticSettings/write",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Diagnostic Settings",
        "operation": "Set Diagnostic Setting",
        "description": "Creates or updates the diganostic setting for the resource"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/metricDefinitions/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "The metric definitions for the search service",
        "operation": "Read search service metric definitions",
        "description": "Gets the available metrics for the search service"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/logDefinitions/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "The log definition for the search service",
        "operation": "Read search service log definitions",
        "description": "Gets the available logs for the search service"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/validate/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection Proxy",
        "operation": "Validate Private Endpoint Connection Proxy",
        "description": "Validates a private endpoint connection create call from NRP side"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/write",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection Proxy",
        "operation": "Create Private Endpoint Connection Proxy",
        "description": "Creates a private endpoint connection proxy with the specified parameters or updates the properties or tags for the specified private endpoint connection proxy"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection Proxy",
        "operation": "Get Private Endpoint Connection Proxy",
        "description": "Returns the list of private endpoint connection proxies or gets the properties for the specified private endpoint connection proxy"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/delete",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection Proxy",
        "operation": "Delete Private Endpoint Connection Proxy",
        "description": "Deletes an existing private endpoint connection proxy"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnections/write",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection",
        "operation": "Create Private Endpoint Connection",
        "description": "Creates a private endpoint connections with the specified parameters or updates the properties or tags for the specified private endpoint connections"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnections/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection",
        "operation": "Get Private Endpoint Connection",
        "description": "Returns the list of private endpoint connections or gets the properties for the specified private endpoint connections"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnections/delete",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection",
        "operation": "Delete Private Endpoint Connection",
        "description": "Deletes an existing private endpoint connections"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/write",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Shared Private Link Resource",
        "operation": "Create Shared Private Link Resource",
        "description": "Creates a new shared private link resource with the specified parameters or updates the properties for the specified shared private link resource"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Shared Private Link Resource",
        "operation": "Get Shared Private Link Resource",
        "description": "Returns the list of shared private link resources or gets the properties for the specified shared private link resource"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/delete",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Shared Private Link Resource",
        "operation": "Delete Shared Private Link Resource",
        "description": "Deletes an existing shared private link resource"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/operationStatuses/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Shared Private Link Resource",
        "operation": "Get Operation Status",
        "description": "Get the details of a long running shared private link resource operation"
      }
    }
  ]
}

Определения

Имя Описание
CloudError

Содержит сведения об ошибке API.

CloudErrorBody

Описывает определенную ошибку API с кодом ошибки и сообщением.

Display

Объект, описывающий операцию.

Operation

Описывает операцию REST API.

OperationListResult

Результат запроса на перечисление операций REST API. Он содержит список операций и URL-адрес для получения следующего набора результатов.

CloudError

Содержит сведения об ошибке API.

Имя Тип Описание
error

CloudErrorBody

Описывает определенную ошибку API с кодом ошибки и сообщением.

CloudErrorBody

Описывает определенную ошибку API с кодом ошибки и сообщением.

Имя Тип Описание
code

string

Код ошибки, описывающий условие ошибки точнее, чем код состояния HTTP. Можно использовать для программной обработки конкретных случаев ошибок.

details

CloudErrorBody[]

Содержит вложенные ошибки, связанные с этой ошибкой.

message

string

Сообщение, описывающее ошибку подробно и предоставляющее сведения об отладке.

target

string

Целевой объект конкретной ошибки (например, имя свойства в ошибке).

Display

Объект, описывающий операцию.

Имя Тип Описание
description

string

Понятное имя операции.

operation

string

Тип операции: чтение, запись, удаление, listKeys/action и т. д.

provider

string

Понятное имя поставщика ресурсов.

resource

string

Тип ресурса, для которого выполняется операция.

Operation

Описывает операцию REST API.

Имя Тип Описание
display

Display

Объект, описывающий операцию.

name

string

Имя операции. Это имя формы {provider}/{resource}/{operation}.

OperationListResult

Результат запроса на перечисление операций REST API. Он содержит список операций и URL-адрес для получения следующего набора результатов.

Имя Тип Описание
nextLink

string

URL-адрес для получения следующего набора результатов списка операций( если таковой есть).

value

Operation[]

Список операций, поддерживаемых поставщиком ресурсов.